package com.cool.store.service.impl.workflow;

import com.cool.store.enums.WorkflowStageEnum;
import com.cool.store.request.CloseFollowRequest;
import com.cool.store.request.TransferInvestmentManagerRequest;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author zhangchenbiao
 * @FileName: IntentWorkFlowService
 * @Description: 意向申请
 * @date 2023-06-26 21:21
 */
@Slf4j
@Service
public class IntentWorkFlowService extends WorkFlowBaseService {

    @Override
    public WorkflowStageEnum getWorkFlowStage() {
        return WorkflowStageEnum.INTENT;
    }

    @Override
    public void endProcess(CloseFollowRequest request) {
        log.info("意向申请结束~");
    }

    @Override
    public void transferInvestmentManager(TransferInvestmentManagerRequest request) {
        log.info("转让招商经理~");
    }
}
